Bug 534141 - Xserver with nouveau driver crashes at startup
Xserver with nouveau driver crashes at startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
14
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
card_NV4E
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-10 12:53 EST by André Auzi
Modified: 2012-08-16 17:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:48:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf + Xorg.0.log + gdb backtrace + dmesg drm messages (14.69 KB, text/plain)
2009-11-10 12:53 EST, André Auzi
no flags Details
Smolt profile (8.15 KB, text/plain)
2009-11-16 16:03 EST, André Auzi
no flags Details
Xorg.?.log files obtained with xorg.conf removed (65.57 KB, text/plain)
2009-11-16 16:12 EST, André Auzi
no flags Details
dmesg obtained with xorg.conf removed (46.17 KB, text/plain)
2009-11-16 16:13 EST, André Auzi
no flags Details
log files actualization with F14 beta (27.85 KB, application/x-gzip)
2010-10-08 12:05 EDT, André Auzi
no flags Details

  None (edit)
Description André Auzi 2009-11-10 12:53:23 EST
Created attachment 368446 [details]
xorg.conf + Xorg.0.log + gdb backtrace + dmesg drm messages

Description of problem:

Xserver (x86_64) with "nouveau" driver crashes at startup, driver "vesa" works.

Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau.x86_64             1:0.0.15-17.20091105gite1c2efd.fc12


How reproducible:

systematic

Steps to Reproduce:
1. boot the system
2.
3.
  
Actual results:

CapsLock LED flashes and in the same time the screen remains black

Expected results:

The gdm logon screen should appear.


Additional info:

a- Hardware configuration:

ASUS M2NPV-VM Mother board
Hanns-G HX191D Monitor plugged on the VGA connector of the mother board

$ lspci | grep VGA
00:05.0 VGA compatible controller: nVidia Corporation C51PV [GeForce 6150] (rev a2)
$ lspci -v
...
00:05.0 VGA compatible controller: nVidia Corporation C51PV [GeForce 6150] (rev a2) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. A8N-VM CSM
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 16
	Memory at f7000000 (32-bit, non-prefetchable) [size=16M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at fc000000 (64-bit, non-prefetchable) [size=16M]
	[virtual] Expansion ROM at c0000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb
...


b- Software versions:

kernel.x86_64                           2.6.31.5-127.fc12

xorg-x11-drivers.x86_64                 7.3-13.fc12
xorg-x11-drv-vesa.x86_64                2.2.1-1.fc12
xorg-x11-server-Xorg.x86_64             1.7.1-7.fc12
xorg-x11-server-common.x86_64           1.7.1-7.fc12

c- Attached files:

xorg.conf
Xorg.0.log
gdb backtrace : Xdbg.log
drm messages from dmesg: dmesg-drm.log
Comment 1 André Auzi 2009-11-16 16:03:18 EST
Created attachment 369783 [details]
Smolt profile
Comment 2 André Auzi 2009-11-16 16:12:07 EST
Created attachment 369787 [details]
Xorg.?.log files obtained with xorg.conf removed
Comment 3 André Auzi 2009-11-16 16:13:18 EST
Created attachment 369788 [details]
dmesg obtained with xorg.conf removed
Comment 4 André Auzi 2009-11-16 16:19:12 EST
Well, that may seem a lot of attachments but I realized, reading https://fedoraproject.org/wiki/Xorg/Debugging#Information_to_include_in_your_report, that they were required.

Just let me know if anything else can be useful.

Regards,
A
Comment 5 Matěj Cepl 2009-11-16 18:09:05 EST
Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49e8d8]
1: /usr/bin/Xorg (0x400000+0x619c9) [0x4619c9]
2: /lib64/libpthread.so.0 (0x324a000000+0xefa0) [0x324a00efa0]
3: /usr/bin/Xorg (xf86InitViewport+0x4b) [0x51df9b]
4: /usr/bin/Xorg (InitOutput+0xb23) [0x470143]
5: /usr/bin/Xorg (0x400000+0x21b5a) [0x421b5a]
6: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x324981eb1d]
7: /usr/bin/Xorg (0x400000+0x218a9) [0x4218a9]
Segmentation fault at address 0x24

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting
Comment 6 Piotr Drąg 2010-02-10 21:50:56 EST
It looks exactly like my bug #558138, stack trace is identical. Is it a duplicate? Is there anything I can do to help fixing this issue?
Comment 7 Piotr Drąg 2010-02-17 20:43:15 EST
Sorry for the comment above, it is wrong.
Comment 8 André Auzi 2010-10-08 12:05:01 EDT
Created attachment 452374 [details]
log files actualization with F14 beta

Hi there,

I've retested this with F14 beta.

The drm modeset still does not work but the bug seems fixed within the X server itself.

Xorg.0.log says:
[   106.937] Kernel command line: ro root=/dev/VolGroup00/LogVol00 norhgb quiet SYSFONT=latarcyrheb-sun16 LANG=fr_FR.UTF-8 KEYTABLE=fr-latin9 nomodeset nouveau.modeset=0 rdblacklist=nouveau
[   106.938] Build Date: 05 October 2010  05:38:22PM
[   106.938] Build ID: xorg-x11-server 1.9.0-13.fc14 
...
[   119.523] (EE) [drm] failed to open device
[   119.523] (WW) Falling back to old probe method for fbdev

My configuration settings are then used (and work ;) )

It's good to see the driver nouveau back in the box.

Cheers
A
Comment 9 Bug Zapper 2010-11-04 02:35:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Dietmar Kling 2011-04-24 03:30:34 EDT
The noveau driver for the card mentioned above also crashes in Fedora 15 
when starting scan for Partitions most times, sometimes after that. 

Use the alternative "standard video driver" works.
Comment 11 Fedora End Of Life 2012-08-16 17:48:48 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.